package cn.exploring.engine.server.core;

import org.junit.Test;
import org.junit.runner.RunWith;
import cn.exploring.engine.server.core.express.ExpressService;
import cn.exploring.engine.server.core.express.dao.ExpressInfo;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.test.context.web.WebAppConfiguration;

@WebAppConfiguration
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest(classes = Application.class)
public class ExpressTest {
    @Autowired
    private ExpressService expressService;

    @Test
    public void test() {
        ExpressInfo ei = null;
        try {
            //中通 73112110225058
            ei = expressService.getExpressInfo("ZTO", "73112110225058");
        } catch (Exception e) {
            e.printStackTrace();
        }
        System.out.print(ei);
    }
}
